/* $widget
 ------------------------------------------*/

.widget {
    position: relative;
    margin-bottom: $gutter;
    display: table;
    width: 100%;
    @include border-radius($border-radius-small);
    .widget-header, .widget-body, .widget-footer {
        position: relative;
        @include clearfix;
    	padding: $padding-base(0 25%);
    }
    .widget-header {
        border-top-left-radius: $border-radius-small;
        border-top-right-radius: $border-radius-small;
    }
    .widget-footer {
        border-bottom-right-radius: $border-radius-small;
        border-bottom-left-radius: $border-radius-small;
    }
    p {
        margin: 0;
    }
    .widget-icon {
        display: inline-block;
        vertical-align: middle;
        width: 40px;
        height: 40px;
        border-radius: 20px;
        text-align: center;
        font-size: 16px;
        line-height: 40px;
    }
    .widget-icon.pull-left {
        margin-right: $padding-base;
    }
    .widget-icon.pull-right {
        margin-left: $padding-base;
    }
    .widget-bg-icon {
        position: absolute;
        right: 15px;
        top: 0;
        line-height: 80px;
        font-size: 60px;
        i {
            @include opacity(0.2);
            @include rotate(-5deg);
        }
    }
    .widget-details {
        display: table-cell;
        vertical-align: middle;
    }
    .widget-title {
        display: block;
        font-size: 20px;
        line-height: 1;
        color: darken($text-color, 10%);
    }
    .widget-subtitle {
        font-size: 12px;
        color: lighten($text-color, 10%);
    }
    .widget-stats {
        position: relative;
    }
    .widget-row {
        display: table-row;
    }
    .stats-value {
        margin: 0;
        line-height: 1;
    }
    .stats-caption {
        font-size: 80%;
        text-transform: uppercase;
    }
    .stats-change {
        position: absolute;
        top: 0;
        right: 0;
        text-align: right;
    }
    &.widget-weather {
        padding-left: 0;
        padding-right: 0;
        text-align: center;
        .climacon {
            display: block;
            font-size: 20px;
            margin-top: 5px;
        }
        .widget-weather-icon {
            font-size: 70px;
        }
        .degree-value {
            margin-top: 5px;
            margin-bottom: 5px;
        }
        .widget-weather-footer {
            display: table;
            width: 100%;
            border-top: 1px solid rgba(0, 0, 0, 0.05);
            padding-top: 25px;
            > div {
                display: table-cell;
                vertical-align: middle;
                text-align: center;
            }
        }
    }
    .percent {
        position: relative;
        &:after {
            position: absolute;
            top: 0;
            content: '%';
            font-size: .5em;
            font-family: Georgia, serif;
        }
    }
    .widget-list {
        vertical-align: top;
    }
    .widget-list .widget-list-item {
        position: relative;
        display: block;
        padding: 10px 0;
        color: $text-color;
        border-top: 1px solid rgba(0, 0, 0, 0.05);
    }
    > .list-group {
        margin-bottom: 0;
    }
    > .list-group .list-group-item {
        border-width: 1px 0;
        border-radius: 0;
    }
    > .list-group:first-child .list-group-item:first-child {
        border-top: 0;
        border-top-left-radius: $border-radius-small;
        border-top-right-radius: $border-radius-small;
    }
    > .list-group:last-child .list-group-item:last-child {
        border-bottom: 0;
        border-bottom-right-radius: $border-radius-small;
        border-bottom-left-radius: $border-radius-small;
    }
    .widget-progress.progress {
        margin: 10px 0;
        background-color: fade(black, 20%);
        height: 2px;
    }
    .widget-progress .progress-bar {
        background-color: white;
    }
    &.todo {
        padding: 0;
    }
    .todo-title {
        margin: 0 $padding-base;
        padding: 10px 0;
        font-size: 20px;
        border-bottom: 1px solid fade(black, 5%);
    }
    .todo-body {
        padding: $padding-base;
        > ul {
            margin-bottom: 0;
        }
    }
    .todo-footer {
        background-color: fade(black, 5%);
        padding: 10px $padding-base;
        border-bottom-right-radius: $border-radius-small;
        border-bottom-left-radius: $border-radius-small;
    }
}

.widget-chart {
    position: relative;
    margin-bottom: $padding-base;
    display: block;
    width: 100%;
    padding: $padding-base;
    @include clearfix;
    @include border-radius($border-radius-small);
}
